// Tioga.cpp : This file contains the 'main' function. Program execution begins and ends there.
// Written by Josh Dersch, summer 2021

#include <stdio.h>
#include "tioga.h" // tioga_Error
//#include "tread.h"
#include "TiogaOutput.h"

int tioga_main(int argc, char** argv)
{
    if (argc != 4)
    {
        tioga_Error("Invalid arguments.  Usage: tioga <-text|-html> <inputfile> <outputfile>");
    }

    bool textOutput = false;

//    if (_strcmpi(argv[1], "-text") == 0)
    if (strcasecmp(argv[1], "-text") == 0)
    {
        textOutput = true;
    }
//    else if (_strcmpi(argv[1], "-html") == 0)
    else if (strcasecmp(argv[1], "-html") == 0)
    {
        textOutput = false;
    }
    else
    {
        tioga_Error("Invalid output format specification.");
        return 0;
    }
    
    return tioga_to_text_or_html("[Server]Directory>Subdirectory>path.ext",
                                 textOutput, argv[2], argv[3]);
}
